Skip to Content
SeyloDocs
API referenceCron jobs

List a service's cron jobs

GET
/api/v1/cron.list

Lists the cron jobs of a service with their next run time and last result.

Needs services.view on the service (a grant on its project covers it). Available to MCP clients and the assistant.

Authorization

cookieseylo_session<token>

Query Parameters

serviceId*string

Panel-issued id.

Match^[a-z0-9]{16}$

Response Body

Success.

application/json
  1. response
jobs*array<>
Example Request
curl -X GET 'https://example.com/api/v1/cron.list?serviceId=string'
Example Response
{  "jobs": [    {      "id": "string",      "serviceId": "string",      "name": "string",      "schedule": "string",      "timeZone": "string",      "command": "string",      "timeoutSeconds": 1,      "concurrency": "forbid",      "enabled": true,      "nextRunAt": "2019-08-24T14:15:22Z",      "lastRun": {        "id": "string",        "cronJobId": "string",        "serviceId": "string",        "nodeId": "string",        "result": "running",        "manual": true,        "exitCode": 0,        "startedAt": "2019-08-24T14:15:22Z",        "finishedAt": "2019-08-24T14:15:22Z",        "durationMs": 0      },      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z"    }  ]}